---
title: "IfMultichannelDirective"
generated: true
---
<GenerationInfo sourceFile="packages/admin-ui/src/lib/core/src/shared/directives/if-multichannel.directive.ts" sourceLine="21" packageName="@vendure/admin-ui" />

Structural directive that displays the given element if the Vendure instance has multiple channels
configured.

*Example*

```html
<div *vdrIfMultichannel class="channel-selector">
  <!-- ... -->
</ng-container>
```

```ts title="Signature"
class IfMultichannelDirective extends IfDirectiveBase<[]> {
    constructor(_viewContainer: ViewContainerRef, templateRef: TemplateRef<any>, dataService: DataService)
}
```
* Extends: `IfDirectiveBase<[]>`



<div className="members-wrapper">

### constructor

<MemberInfo kind="method" type={`(_viewContainer: ViewContainerRef, templateRef: TemplateRef<any>, dataService: <a href='/reference/admin-ui-api/services/data-service#dataservice'>DataService</a>) => IfMultichannelDirective`}   />




</div>
